> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get session

> Obtains information about the specified session.



## OpenAPI

````yaml get /v1/team/sessions/{sessionId}
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/sessions/{sessionId}:
    get:
      tags:
        - Session
      summary: Get session
      description: Obtains information about the specified session.
      parameters:
        - name: sessionId
          in: path
          description: The session ID.
          required: true
          schema:
            type: string
        - name: userId
          in: query
          description: >-
            Your user ID. 


            How to obtain your user ID: Sign in to Powerdrill Enterprise, click
            **Users** in the top navigation bar, and find your user ID in the
            list of users.
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    $ref: '#/components/schemas/SessionModelDTO'
                    description: The returned data object.
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      id: gegecgthgod3hgt
                      title: Analyze performance
                      languageType: AUTO
                      jobMode: AUTO
                      maxMessagesInContext: 10
                      agentId: DATA_ANALYSIS_AGENT
                      userId: tmm-cm5m7khoz52zh07n4m7x1ut60
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  schemas:
    SessionModelDTO:
      type: object
      properties:
        id:
          type: string
          description: The session ID.
        title:
          type: string
          description: The session name.
        languageType:
          type: string
          description: |-
            The language in which the output is generated. Possible values are:
            - `AUTO`: adaptive recognition
            - `EN`: English
            - `ES`: Spanish
            - `AR`: Arabic
            - `PT`: Portuguese
            - `ID`: Indonesian
            - `JA`: Japanese
            - `RU`: Russian
            - `HI`: Hindi
            - `FR`: French
            - `DE`: German
            - `VI`: Vietnamese
            - `TR`: Turkish
            - `PL`: Polish
            - `IT`: Italian
            - `KO`: Korean
            - `ZH-CN`: Simplified Chinese
            - `ZH-TW`: Traditional Chinese
          enum:
            - AUTO
            - EN
            - ES
            - AR
            - PT
            - ID
            - JA
            - RU
            - HI
            - FR
            - DE
            - VI
            - TR
            - PL
            - IT
            - KO
            - ZH-CN
            - ZH-TW
          default: AUTO
        jobMode:
          type: string
          description: >-
            Job mode. Possible values are:

            - `AUTO`: Powerdrill automatically detects your intent and selects
            the appropriate job mode from data analysis and information
            retrieval.

            - `DATA_ANALYTICS`: Powerdrill focuses specifically on data
            analysis.
          enum:
            - AUTO
            - DATA_ANALYTICS
          default: AUTO
        maxMessagesInContext:
          type: integer
          description: >-
            The maximum number of messages retained per session, with a value
            range of 0 to 10. The default is 10.


            You can set it to 0 if you don't want your answer is to contain any
            context of job history.
          default: 10
        agentId:
          type: string
          description: >-
            The ID of the agent in use, which is fixed to 
            **DATA_ANALYSIS_AGENT**.
        userId:
          type: string
          description: >-
            Your user ID. 


            How to obtain your user ID: Sign in to Powerdrill Enterprise, click
            **Users** in the top navigation bar, and find your user ID in the
            list of users.
      required:
        - id
        - title
        - languageType
        - maxMessagesInContext
        - jobMode
        - userId
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````